<?php

namespace WAAVE\Compliance\Api\Data;

use Magento\Framework\Api\ExtensibleDataInterface;

interface VersionInterface extends ExtensibleDataInterface
{
    /**
     * Set Complete version
     *
     * @return string
     */
    public function setComplete($version);

    /**
     * Get Complete version
     *
     * @return string
     */
    public function getComplete();

    /**
     * Set Compliance version
     *
     * @return string
     */
    public function setCompliance($version);

    /**
     * Get Compliance version
     *
     * @return string
     */
    public function getCompliance();
}
