<?php

namespace WAAVE\Compliance\Block;

class Logo extends \Magento\Framework\View\Element\Template
{
    /**
     * @var Magento\Framework\View\Asset\Repository
     */
    private $assetRepository;

    public function __construct(
        \Magento\Framework\View\Element\Template\Context $context,
        \Magento\Framework\View\Asset\Repository $assetRepository
    ) {
        parent::__construct($context);

        $this->assetRepository = $assetRepository;
    }

    public function getLogo()
    {
      $logo = $this->assetRepository->getUrlWithParams('WAAVE_Compliance::images/stamp.png', []);

        return $logo;
    }
}