<?php

namespace WAAVE\Compliance\Model\Data;

use Magento\Framework\Api\AbstractExtensibleObject;
use WAAVE\Compliance\Api\Data\VersionInterface;

class Version extends AbstractExtensibleObject implements VersionInterface
{
    /**
     * @inheritdoc
     */
    public function setComplete($version)
    {
        return $this->setData('complete', $version);
    }

    /**
     * @inheritdoc
     */
    public function getComplete()
    {
        return $this->_get('complete');
    }

    /**
     * @inheritdoc
     */
    public function setCompliance($version)
    {
        return $this->setData('compliance', $version);
    }

    /**
     * @inheritdoc
     */
    public function getCompliance()
    {
        return $this->_get('compliance');
    }
}