<?php

namespace WAAVE\Compliance\Model;

use Magento\Framework\Model\AbstractModel;
use Magento\Framework\DataObject\IdentityInterface;

class Configuration extends AbstractModel implements IdentityInterface
{
    const CACHE_TAG = 'waave_compliance_configuration';

    protected $_cacheTag = 'waave_compliance_configuration';

    protected $_eventPrefix = 'waave_compliance_configuration';

    protected function _construct()
    {
        $this->_init('WAAVE\Compliance\Model\ResourceModel\Configuration');
    }

    public function getIdentities()
    {
      return [self::CACHE_TAG . '_' . $this->getId()];
    }

    public function getDefaultValues()
    {
        $values = [];

        return $values;
    }
}
